Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol.event
Class Event

    java.lang.Object
      org.teleal.cling.support.renderingcontrol.event.Event

    public class Event

extends Object

Event is the root element

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{urn:schemas-upnp-org:metadata-1-0/AVT_RCS}InstanceID"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Instance>` | `instances`

Constructor Summary
`Event()`

Method Summary
`List<Instance>` | `getInstances()` Gets the value of the instances property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instances

    protected List<Instance> instances

Constructor Detail

### Event

    public Event()

Method Detail

### getInstances

    public List<Instance> getInstances()

  Gets the value of the instances property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the instances property.

  For example, to add a new item, do as follows:

          getInstances().add(newItem);

  Objects of the following type(s) are allowed in the list `Instance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.